Subject: Re: What is a "forward slash" (Was: changing mount)
From: Bob McGowan <[email-masked]>
To: [email-masked]
Cc: Glenn Spell <[email-masked]>
Date: Tue, 07 Mar 2000 08:17:37 -0800

Glenn,

In a mixed world (DOS/Windows and UNIX/Linux), each party has the
'habit' of using the word "slash" to name the most common form that they
use.  So, I have found that for support and training, just saying
"slash" can be very confusing.  Since backslash clearly defines the
common DOS form (\), using the term "forward" slash for the common UNIX
form (/) clarifies communication in this mixed world.

To add to the confusion, I have talked with DOS/Windows users who use
the term "backslash" for /, since they 'know' that the \ is named
"slash".  By prefixing the word "slash" with "forward", the term is
flagged as a potential point of confusion, and clarification can be done
immediately, rather than after having a customer type in a 5 level, 64
character long path name, that doesn't work.

Bob

Glenn Spell wrote:
> 
> On 5 Mar 2000 around 12:47PM (+0200) Michael Hirmke wrote:
> 
> > Use forward slashes for the mount command.
> 
> Michael, this is not directed at you. I've been in the closet with
> this for years hoping someone else would bring it into the public
> eye... I'm tired of waiting... now is the time!
> 
>   This is a slash:  /
> 
>   This is a backslash:  \
> 
>   There is no such thing as a "forward slash".
> 
> The phrase "forward slash" is very confusing.
> 
> What is a forward slash. Well, it's probably not a slash because its
> very name implies that it is something other than a slash. It's name
> indicates that it's something like a slash but different. Hmm...
> 
> ...well, the phrase "forward slash" is very descriptive.  In American
> and English writing and reading the starting point is always at the
> top left. From there things progress forward across to the right and
> down to the bottom.
> 
> Starting at the top left and progressing in a "forward" direction
> we arrive at "\" as the representation of a so-called "forward
> slash". This seems reasonable since a "forward slash" must be
> something other than a slash.
> 
> But wait, that symbol already has a name... backslash.  A backslash
> tends to "point" towards the backside of the character following it,
> hence the name "backslash".
> 
> So, if there were to be such an thing as a forward slash it would
> indeed be the exact same thing as a backslash.  Why use two words
> to describe something that already has a very descriptive and
> recognizable name. That only makes sense if you live, work, and have
> your being in Redmond.
> 
> In Redmond, a lot of folks don't live in the real world.  If the
> phrase "forward slash" originally came from Redmond, and I strongly
> suspect that it did, then there's no way to know what it really
> means.
> 
> Actually, I'm waiting for folks to start using the phrase "backward
> slash"... then it will really get interesting.
> 
> -glenn
> 
> --
>   ________________________________________      _       _____
>  )                                        )_ _ (__\____o /_/_ |
>  )    Glenn Spell <[email-masked]>    )     >-----._/_/__]>
>  )________________________________________)               `0  |
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]